---
title: "Triggers queueing a product to be reindexed in elasticsearch."
url: "https://developer.migros.ch/apis/triggers-8/versions/8e2720b4-0e30-4553-81ff-aa471a463bcd/operations/trigger-product-elasticsearch-queue"
---

> Full API specification: https://developer.migros.ch/apis/triggers-8/versions/8e2720b4-0e30-4553-81ff-aa471a463bcd.md

# Triggers queueing a product to be reindexed in elasticsearch.

`POST` `/migros/products/v8/trigger/product/elasticsearch/queue/{id}`

Operation ID: `trigger-product-elasticsearch-queue`

This is an internal route and doesn't necessarily follow API versioning.

## Path parameters

- `id` (string, required) - ID of a product to be queued for elasticsearch reindexing

## Query parameters

- `partial_fields` (string, optional) - A comma separated list of partial-fields that need to be reindexed. If not set, the full product will be reimported
- `priority` (integer, optional) - Priority for the import (between 0 and 10, 10=highest priority)
- `force_queue` (boolean, optional) - Whether the queuing should check if the product is in queue already (false) or not (true).

## Responses

- `204` - Returned when successful.
- `400` - If the request parameters are invalid.

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Triggers
  version: "8"
servers:
  - description: Public Kong Gateway URL
    url: https://api.migros.ch
paths:
  /migros/products/v8/trigger/product/elasticsearch/queue/{id}:
    post:
      description: This is an internal route and doesn't necessarily follow API versioning.
      operationId: trigger-product-elasticsearch-queue
      parameters:
        - description: ID of a product to be queued for elasticsearch reindexing
          in: path
          name: id
          required: true
          schema:
            type: string
        - description: A comma separated list of partial-fields that need to be reindexed.
            If not set, the full product will be reimported
          in: query
          name: partial_fields
          schema:
            type: string
        - description: Priority for the import (between 0 and 10, 10=highest priority)
          in: query
          name: priority
          schema:
            default: 2
            maximum: 10
            minimum: 0
            type: integer
        - description: Whether the queuing should check if the product is in queue already
            (false) or not (true).
          in: query
          name: force_queue
          schema:
            default: false
            type: boolean
      responses:
        "204":
          description: Returned when successful.
        "400":
          $ref: "#/components/responses/400"
      summary: Triggers queueing a product to be reindexed in elasticsearch.
      tags:
        - Triggers
security:
  - Kong-Api-Key: []
    basicAuth: []
components:
  responses:
    "400":
      description: If the request parameters are invalid.
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
    basicAuth:
      scheme: basic
      type: http
```
